> ## Documentation Index
> Fetch the complete documentation index at: https://sendforsign.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List of users

> List all users created for a Sendforsign client, using the client key.

### Body parameters

**data** `object` *required*

**child attribute**

**action** `string` *required*

Action type.

**clientKey** `string` *required*

Key of the client.

### Response

**users** `string`

Array of users.

**child attribute**

**createTime** `string`

Create time.

**changeTime** `string`

Change time.

**userKey** `string`

ID of the user.

**fullname** `string`

First and second names of the user.

**email** `string`

Email of the user.

**customKey** `string`

User custom key, if you used it when creating the user.

**code** `string`

The code of the answer.

**message** `string`

The message of the answer.

```bash cURL theme={null}
curl -X POST 'https://api.sendforsign.com/api/user' \ 
     -H 'X-Sendforsign-Key: YOUR_API_KEY' \
     -H 'Content-Type: application/json' \
     -d '{ 
          "data": {
				   "action": "list",
				   "clientKey": "YOUR_CLIENT_KEY"
				  }
     }'
```

```json Response theme={null}
	{
       "users": [{
                "createTime": "2023-12-01 12:18:55",
				"changeTime": "2023-12-01 12:18:55",
                "userKey": "USER_KEY", 
				"fullname": "John Johnson",
    		    "email": "john_johnson@mail.com", 
				"customKey": "YOUR_COMBINATION"
		}],
       "code": "200",
       "message": "Users found"
    } 	

```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.